Совместная работа : Cisco Unified Contact Center Express

Предупреждения системы безопасности Java CAD устранения неполадок

5 апреля 2016 - Машинный перевод
Другие версии: PDF-версия:pdf | Отзыв

Введение

Этот документ описывает, как устранить неполадки предупреждений системы безопасности Java на Cisco Unified Contact Center Express (UCCX) Электронная почта Агента Cisco Agent Desktop (CAD), а также на Выпуске Браузера Cisco Agent Desktop (BE CAD).

Внесенный Райаном Лэфунтэйном, специалистом службы технической поддержки Cisco.

Общие сведения

Электронная почта Агента CAD UCCX и BE CAD полагаются на Java (и приложения Java) для функционирования.

Изменения в правилах безопасности Java и архитектура в версиях Java, которые поддерживаются по части Электронной почты Агента CAD UCCX и версий BE CAD, производят видимые пользователем предупреждения системы безопасности или заставляют функции функционировать неправильно или нисколько.

Проблема

При выполнении Электронной почты Агента или BE CAD в браузере вы получают новое предупреждение системы безопасности, которое кажется подобным этому:

 

Когда вы нажимаете, More Information... связываются, это сообщение появляется:

При выборе опции Block приложение не работает должным образом (или полный отказ приложения происходит), и весь браузер мог бы запереться. Даже при выборе Do not block и опций No Java все еще ограничивает операции и мог бы вызвать проблемы во время выполнения.

Условия

Последние версии Java обрабатывают связь JavaScript к апплету как код без знака. Это заставляет CAD иметь смешанное приложение Java со знаком/без знака, которое создает предупреждение системы безопасности, где вы обязаны выбирать опцию Block или Unblock. Это влияет на любое приложение Java со знаком, где существует связь JavaScript к апплету.

Эти версии Java имеют вышеупомянутое изменение:

  • Выпуск 1.7.0 Java, Обновления 21 и позже
  • Выпуск 1.6.0 Java, Обновления 45 и позже

Примечание: CAD использует Среду исполнения Java (JRE) для Электронной почты Агента, Cisco Supervisor Desktop (CSD) и BE CAD.

Решение

В этом разделе описываются возможные обходной пути для проблемы, которая описана в предыдущем разделе.

Предупреждения системы безопасности

В этом разделе описывается устранить неполадки безопасности всплывающие предупреждения для каждой версии UCCX.

Версии UCCX до версии 9.0 (2) SU1

Версии UCCX до Версии 9.0 (2) SU1 только поддерживают Версии Java до Версии 1.6.0, Обновление 31, таким образом, установки, которые в настоящее время выполняют Версии Java, на которые влияют, используют неподдерживаемую версию Java.

Для обхождения этой проблемы можно деинсталлировать Java от машины полностью. Когда вы войдете в CAD, CSD или BE CAD, правильная версия Java будет тогда установлена. После того, как поддерживаемая Версия Java установлена, безопасность, всплывающие предупреждения не должны появляться.

Примечание: Если машина непосредственно обновлена к последним Версиям Java (без удаления Java), всплывающие проблемы могли бы все еще произойти, и Электронная почта Агента не могла бы функционировать, как предназначено.

Версия 9.0 (2) SU1 UCCX

Версия 9.0 (2) SU1 UCCX поддерживает Версию Java 1.6.0, Обновление 45 и содержит исправление для идентификатора ошибки Cisco CSCug80029.

Никакая безопасность всплывающие предупреждения должны появиться, предоставил Версию Java 1.6.0 выполнений ПК, Обновление 45, и Электронная почта Агента должна обычно функционировать.

Версия UCCX 10.0 (1)

Версия UCCX 10.0 (1) Версия Java 1.7.0 поддержек, Обновление 45. Недавно, Версия Java 1.7.0, Обновление 51 было освобождено. В то время Oracle увеличил базовые показатели безопасности для Обновления 51, который оставил Обновление 45 категоризированными как неуверенное. Если вы выполняете Версию UCCX 10.0 (1) и Версия Java 1.7.0, Обновление 45, безопасность, всплывающее предупреждение появляется, когда вы входите в Электронную почту Агента.

Для обхождения этой проблемы необходимо понизить ползунок безопасности к Среде в браузере и нажать Do not Block each time you receive the message так, чтобы Электронная почта Агента работала должным образом. Можно также обновить к Версии Java 1.7.0, Обновление 51 для решения этого вопроса. Исправление, которое описано в идентификаторе ошибки JDK 8027405 Oracle, который включен в Обновление 51, должно предотвратить возникновения в будущем этой проблемы.

Совет: Обратитесь к идентификатору ошибки Cisco CSCum69044 для дополнительных сведений.

Регистрация электронной почты агента

После Версии Java 1.7.0 Обновление 45 было интегрировано в CAD для Версии UCCX 10.0, проблема, описанная в идентификаторе ошибки Cisco, которым CSCum00334 был найден из-за изменений в JRE от Oracle. Это создало проблему, где клиентская сторона Электронной почты Агента, регистрирующая (EEMUi*.log), отключена по умолчанию.

Вот сводка проблемы:

  • В Выпуске 7u21 JRE потребовал использования атрибута декларации Доверяемой библиотеки для предотвращения возникновения безопасности всплывающие предупреждения. Внутренняя разработка CAD успешно использовала этот атрибут для смягчения проблемы.

  • В Выпуске 7u45 JRE также потребовал использования атрибута декларации Допустимой Кодовой базы абонента для предотвращения возникновения новой безопасности всплывающее предупреждение.

  • Дефекты JDK Oracle описывают проблему, где Выпуск 7u45 JRE не позволяет атрибутам декларации Доверяемой библиотеки и Допустимой Кодовой базы абонента сосуществовать. Если они делают, последний атрибут проигнорирован.

  • Обходной путь Oracle должен был использовать только атрибут декларации Допустимой Кодовой базы абонента, который должен был предотвратить возникновение обеих безопасности всплывающие предупреждения. Однако, когда этот обходной путь внедрен, первая безопасность, всплывающее предупреждение вызвано для EemUi, когда вы пытаетесь обратиться к файлам манифеста .jar, которые требуются для инициализации подсистемы регистрации.

Совет: Обратитесь к Java Platform Group, Блогу управления производством для большего количества подробного описания этой проблемы.

Oracle отследил эту проблему в идентификаторе ошибки JDK 8026347 с планами решить его.

Примечание: Этот дефект является копией для идентификатора ошибки JDK 8026228; однако, этот дефект не публично доступен для просмотра без правильной регистрации.

Когда идентификатор ошибки JDK 8026228 исправлен, он должен позволить CAD использовать и атрибуты декларации Доверяемой библиотеки и Допустимой Кодовой базы абонента одновременно, которые должны предотвратить первую безопасность всплывающее предупреждение, когда подсистема регистрации используется (так как эта безопасность всплывающее предупреждение была успешно смягчена с добавлением атрибута декларации Доверяемой библиотеки для Версии JRE 7u21).

Совет: Если Версия UCCX 10.0 используется с Электронной почтой Агента CAD, и отладка клиентской стороны требуется, обратитесь к идентификатору ошибки Cisco CSCum00334.


Связанные обсуждения сообщества поддержки Cisco

В рамках сообщества поддержки Cisco можно задавать и отвечать на вопросы, обмениваться рекомендациями и совместно работать со своими коллегами.